> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-offer-wall/reporting/reporting-api/user-level-reporting-api/user-level-reporting-api-metrics-and-dimensions.md).

# User Level Reporting API Metrics and Dimensions

Set out in the tables below are the supported metrics and dimensions available in the User Level Reporting API.

### Metrics

| Source     | Supported Metrics   | Description                                                    |
| ---------- | ------------------- | -------------------------------------------------------------- |
| User Level | `offer_impressions` | Number of times the ad is displayed to the user                |
| User Level | `offer_clicks`      | Number of times the use clicked on the offer to complete       |
| User Level | `offer_conversions` | The number of times the user completed the offer               |
| User Level | `publisher_revenue` | The total revenue of the publisher in USD coming from the user |

### Dimensions

| Source     | Supported Dimensions   | Description                                          |
| ---------- | ---------------------- | ---------------------------------------------------- |
| User Level | `Publisher_id`         | Unique ID in the internal db for the publisher       |
| User Level | `Application_id`       | Unique ID of the application in the DT system        |
| User Level | `placement_identifier` | Unique ID of the identifier in the DT system         |
| User Level | `User_country_code`    | Original country code of the user                    |
| User Level | `application_user_id`  | The identifier of the user supplied by the publisher |
| User Level | `device_id`            | IDFA/Android\_ID                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalturbine.com/dt-offer-wall/reporting/reporting-api/user-level-reporting-api/user-level-reporting-api-metrics-and-dimensions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
